Trades - Token (V3)Ask AIget https://public-api.birdeye.so/defi/v3/token/txsRetrieve a list of trades with various filters of a specified token.Query ParamsaddressstringrequiredThe address of the token contract.offsetinteger0 to 9999Defaults to 0Make sure offset + limit <= 10000limitinteger1 to 100Defaults to 100Number of items per page.sort_bystringenumDefaults to block_unix_timeblock_unix_timeblock_numberAllowed:block_unix_timeblock_numbersort_typestringenumDefaults to descSpecify the sort order.descAllowed:desctx_typestringenumDefaults to swapswapbuyselladdremoveallAllowed:swapbuyselladdremoveallsourcestringenumSource of the liquidity (AMMs). Only support solana.raydiumraydiumraydium_clammraydium_cporcalifinityfluxbeamsaberphoenixbonkswapmeteora_dlmmpump_ammhumidifibisonfisolfi_v2alphaqaquifersolfiwhirlpoolgoonfigoonfi_v2tesseravjupiterzvertigopump_dot_funraydium_launchlabmeteora_virtual_curvemeteora_dynamic_bonding_curveShow 27 enum valuesownerstringThe address of the wallet.pool_idstringThe address of the liquidity pool.before_timeinteger1 to 10000000000Specify the time seeked before using unix timestamps in secondsafter_timeinteger1 to 10000000000Specify the time seeked after using unix timestamps in secondsbefore_block_numberinteger1 to 9007199254740991Specify the upper bound of block_number for the filter range, excluding values equal to before_block_number.after_block_numberinteger1 to 9007199254740991Specify the lower bound of block_number for the filter range, excluding values equal to after_block_number.ui_amount_modestringenumDefaults to scaledIndicate whether to use the scaled amount for scaled ui amount tokens. Only support solanarawscaledAllowed:rawscaledHeadersx-chainstringenumDefaults to solanaA chain name listed in supported networks.solanaethereumarbitrumavalanchebscoptimismpolygonbasezksyncmonadhyperevmaptosfogomantlemegaethsuiShow 16 enum valuesResponses 200JSON object containing transactions of a token 400Bad Request 401Unauthorized. API key is missing or invalid 403Forbidden. Request is blacklisted or not whitelisted 429Too Many Requests. Rate limit reached 500Internal Server ErrorUpdated 3 months ago